com.mockobjects.dynamic

## Class CallStub

- java.lang.Object
- - com.mockobjects.dynamic.CallStub

- All Implemented Interfaces:
    Callable, Verifiable
  Direct Known Subclasses:
    ReturnStub, ThrowStub, VoidStub

      public abstract class CallStub
      extends java.lang.Object
      implements Callable

  Author:
    dev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallStub()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(java.lang.String methodName, java.lang.Object[] args)`
    `void` | `verify()` Throw an AssertionFailedException if any expectations have not been met.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.mockobjects.dynamic.Callable

      `call, getDescription`

- - ### Constructor Detail

    - #### CallStub

          public CallStub()

  - ### Method Detail

    - #### matches

          public boolean matches(java.lang.String methodName,
                                 java.lang.Object[] args)

      Specified by:
        `matches` in interface `Callable`

    - #### verify

          public void verify()

      Description copied from interface: `Verifiable`
      Throw an AssertionFailedException if any expectations have not been met.
      Specified by:
        `verify` in interface `Verifiable`

Copyright © 2002 Mock Objects. All Rights Reserved.